> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Create permission profile

POST https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/permission_profiles
Content-Type: application/json

This method creates a new permission profile for an account.

### Related topics

- [How to create a permission profile](/docs/esign-rest-api/how-to/permission-profile-creating/)


Reference: https://developers.docusign.com/docs/esign-rest-api/reference/accounts/accountpermissionprofiles/create

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.

### Query parameters

- `include` (string, optional) — A comma-separated list of additional properties to return in the response. The only valid value for this request is `metadata`, which returns metadata indicating whether the properties associated with the account permission profile are editable.

### Body (application/json)

This endpoint expects a permissionProfile.

- `modifiedByUsername` (string, optional) — The username of the user who last modified the permission profile.
- `modifiedDateTime` (string, optional) — The date and time when the permission profile was last modified.
- `permissionProfileId` (string, optional) — The ID of the permission profile. Use [AccountPermissionProfiles: list](/docs/esign-rest-api/reference/accounts/accountpermissionprofiles/list/) to get a list of permission profiles and their IDs. You can also download a CSV file of all permission profiles and their IDs from the **Settings > Permission Profiles** page of your eSignature account page.
- `permissionProfileName` (string, optional) — The name of the account permission profile. Example: `Account Administrator`
- `settings` (accountRoleSettings, optional) — This object defines account permissions for users who are associated with the account permission profile.
- `userCount` (string, optional) — The total number of users in the group associated with the account permission profile.
- `users` (list of userInformation, optional) — A list of user objects containing information about the users who are associated with the account permission profile.

## Response

### 201

Successful response.

- `modifiedByUsername` (string, optional) — The username of the user who last modified the permission profile.
- `modifiedDateTime` (string, optional) — The date and time when the permission profile was last modified.
- `permissionProfileId` (string, optional) — The ID of the permission profile. Use [AccountPermissionProfiles: list](/docs/esign-rest-api/reference/accounts/accountpermissionprofiles/list/) to get a list of permission profiles and their IDs. You can also download a CSV file of all permission profiles and their IDs from the **Settings > Permission Profiles** page of your eSignature account page.
- `permissionProfileName` (string, optional) — The name of the account permission profile. Example: `Account Administrator`
- `settings` (accountRoleSettings, optional) — This object defines account permissions for users who are associated with the account permission profile.
- `userCount` (string, optional) — The total number of users in the group associated with the account permission profile.
- `users` (list of userInformation, optional) — A list of user objects containing information about the users who are associated with the account permission profile.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### accountRoleSettings

This object defines account permissions for users who are associated with the account permission profile.

- `accountAgreementsAccessType` (string, optional)
- `accountAgreementsAccessTypeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `accountManagementGranular` (accountManagementGranular, optional)
- `allowAccountManagement` (string, optional) — When **true,** users have full administrative access to the account.
- `allowAccountManagementMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowApiAccess` (string, optional) — When **true,** users can manage documents by using the API.
- `allowApiAccessMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowApiAccessToAccount` (string, optional) — When **true,** users can access the account by using the eSignature API.
- `allowApiAccessToAccountMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowApiSendingOnBehalfOfOthers` (string, optional) — When **true,** users can send envelopes on behalf of others.
- `allowApiSendingOnBehalfOfOthersMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowApiSequentialSigning` (string, optional) — When **true,** users may specify sequential signing recipients when they send documents by using the API.
- `allowApiSequentialSigningMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowAutoTagging` (string, optional) — When **true,** auto-tagging is enabled for the account.
- `allowAutoTaggingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowBulkSending` (string, optional) — When **true,** bulk sending is enabled for users.
- `allowBulkSendingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowDocuSignDesktopClient` (string, optional) — When **true,** the Docusign Desktop Client is enabled for users.
- `allowDocuSignDesktopClientMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowedAddressBookAccess` (string, optional) — Specifies the level of access that users have to the account's address book. Valid values are: - `personal` - `useShared` - `usePersonalAndShared` - `personalAndShared`
- `allowedAddressBookAccessMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowedClickwrapsAccess` (string, optional)
- `allowedClickwrapsAccessMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowedDocumentTemplateLibraryAccess` (string, optional)
- `allowedDocumentTemplateLibraryAccessMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowedOrchestrationAccess` (string, optional)
- `allowedOrchestrationAccessMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowedTemplateAccess` (string, optional) — Specifies the level of access that users have to account templates. Valid values are: - `none` - `use` - `create` - `share`
- `allowedTemplateAccessMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowedToBeEnvelopeTransferRecipient` (string, optional) — When **true,** users can be recipients of envelopes transferred to them by administrators of other accounts.
- `allowedToBeEnvelopeTransferRecipientMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowEnvelopeSending` (string, optional) — When **true,** users can send envelopes.
- `allowEnvelopeSendingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowESealRecipients` (string, optional) — When **true,** users can add electronic seal ([eSeal](https://support.docusign.com/s/document-item?bundleId=xcm1643837555908&topicId=isl1578456577247.html)) recipients.
- `allowESealRecipientsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowPowerFormsAdminToAccessAllPowerFormEnvelopes` (string, optional) — When **true,** PowerForm Administrators can access all of the PowerForm envelopes associated with the account.
- `allowPowerFormsAdminToAccessAllPowerFormEnvelopesMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowSendersToSetRecipientEmailLanguage` (string, optional) — When **true,** senders can set the language of the email that is sent to recipients.
- `allowSendersToSetRecipientEmailLanguageMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowSignerAttachments` (string, optional) — When **true,** users can add requests for attachments from signers.
- `allowSignerAttachmentsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowSupplementalDocuments` (string, optional) — When **true,** senders can include supplemental documents.
- `allowSupplementalDocumentsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowTaggingInSendAndCorrect` (string, optional) — When **true,** the tagger palette is visible during the sending and correct flows and users can add tabs to documents.
- `allowTaggingInSendAndCorrectMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowTransactions` (string, optional)
- `allowTransactionsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowVaulting` (string, optional) — Reserved for Docusign.
- `allowVaultingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowWetSigningOverride` (string, optional) — When **true,** users can override the default account setting that controls whether recipients can sign documents on paper. The option to overrride this setting occurs during the sending process on a per-envelope basis.
- `allowWetSigningOverrideMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canBulkUploadAgreements` (string, optional)
- `canBulkUploadAgreementsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canCreateTransaction` (string, optional)
- `canCreateTransactionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canCreateWorkspaces` (string, optional) — Reserved for Docusign.
- `canCreateWorkspacesMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canDeleteDocumentsInTransaction` (string, optional)
- `canDeleteDocumentsInTransactionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canDeleteTransaction` (string, optional)
- `canDeleteTransactionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageAgreementDeskRequest` (string, optional)
- `canManageAgreementDeskRequestMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageAgreementDeskRequestSetting` (string, optional)
- `canManageAgreementDeskRequestSettingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canSendEnvelopesViaSMS` (string, optional)
- `canSendEnvelopesViaSMSMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `disableDocumentUpload` (string, optional) — When **true,** users cannot upload documents.
- `disableDocumentUploadMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `disableOtherActions` (string, optional) — When **true,** users can access the **Other Actions** menu.
- `disableOtherActionsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableApiRequestLogging` (string, optional) — When **true,** API request logging is enabled. **Note:** Logging limits apply.
- `enableApiRequestLoggingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableKeyTermsSuggestionsByDocumentType` (string, optional)
- `enableKeyTermsSuggestionsByDocumentTypeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableRecipientViewingNotifications` (string, optional) — When **true,** senders are notified when recipients view the documents that they send.
- `enableRecipientViewingNotificationsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableSequentialSigningInterface` (string, optional) — When **true,** the sequential signing user interface is enabled.
- `enableSequentialSigningInterfaceMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableTransactionPointIntegration` (string, optional) — Reserved for Docusign.
- `enableTransactionPointIntegrationMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `playbookAccess` (string, optional)
- `playbookAccessMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `powerFormRole` (string, optional) — The PowerForms rights associated with the account permission profile. Valid values are: - `none` - `user` - `admin`
- `powerFormRoleMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `receiveCompletedSelfSignedDocumentsAsEmailLinks` (string, optional) — When **true,** senders receive emails about completed, self-signed documents that contain links to the completed documents instead of PDF attachments.
- `receiveCompletedSelfSignedDocumentsAsEmailLinksMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `signingUiVersionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `supplementalDocumentsMustAccept` (string, optional) — When **true,** senders can require recipients to accept supplemental documents.
- `supplementalDocumentsMustAcceptMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `supplementalDocumentsMustRead` (string, optional) — When **true,** senders can require recipients to read supplemental documents.
- `supplementalDocumentsMustReadMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `supplementalDocumentsMustView` (string, optional) — When **true,** users can require recipients to view supplemental documents.
- `supplementalDocumentsMustViewMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `useNewDocuSignExperienceInterface` (string, optional) — Reserved for Docusign.
- `useNewDocuSignExperienceInterfaceMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `useNewSendingInterface` (string, optional) — Reserved for Docusign.
- `useNewSendingInterfaceMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `vaultingMode` (string, optional) — Reserved for Docusign.
- `vaultingModeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `webForms` (string, optional)
- `webFormsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.

### userInformation

User information.

- `activationAccessCode` (string, optional) — Access code provided to the user to activate the account.
- `company` (string, optional) — The name of the user's company.
- `connectConfigurations` (list of connectUserObject, optional) — Object representing the user's custom Connect configuration.
- `countryCode` (string, optional) — The two-letter code for the user's country.
- `createdDateTime` (string, optional) — The UTC DateTime when the item was created.
- `customSettings` (list of nameValue, optional) — The name/value pair information for the user custom setting.
- `defaultAccountId` (string, optional) — The default account ID associated with the user.
- `email` (string, optional) — The user's email address. This property cannot be updated via `PUT` requests.
- `enableConnectForUser` (string, optional) — Boolean value that specifies whether the user is enabled for updates from Docusign Connect.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `firstName` (string, optional) — The user's first name. Maximum Length: 50 characters.
- `forgottenPasswordInfo` (forgottenPasswordInformation, optional) — A complex element that has up to four Question/Answer pairs for forgotten password information.
- `groupList` (list of group, optional) — A list of the group information for groups to add the user to. Use [UserGroups: listGroups](/docs/esign-rest-api/reference/usergroups/groups/list/) to get information about groups. When setting a user's group, only the `groupId` is required.
- `hasRemoteNotary` (boolean, optional)
- `homeAddress` (addressInformation, optional) — Contains address information.
- `initialsImageUri` (string, optional) — The URI for retrieving the image of the user's initials.
- `isAdmin` (string, optional) — When **true,** the user is an administrator.
- `isAlternateAdmin` (string, optional) — When **true,** the user is an alternate administrator. This user is not an administrator but will be set as such if all administrator memberships are closed.
- `isManagedByScim` (string, optional)
- `isMembershipManagedByScim` (string, optional)
- `isNAREnabled` (string, optional) — When **true,** National Association of Realtors (NAR) signature logos are enabled for the user.
- `jobTitle` (string, optional) — The user's job title.
- `lastLogin` (string, optional) — This property has been deprecated.
- `lastName` (string, optional) — The user's last name. Maximum Length: 50 characters.
- `licenseStatus` (string, optional) — If successful this value will be "Assigned" If there was an error, this value will be "Failed. Please try again later."
- `licenseType` (string, optional) — The user’s assigned license type. Only available for IAM plans. Must be one of the following values: - `Full - Enterprise`: Full license type available for customers who purchase the IAM Enterprise plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder. - `Full - Professional`: Full license type available for customers who purchase the IAM Professional plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder. - `Full - Standard`: Full license type available for customers who purchase the IAM Standard plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder. - `Full - Sales`: Full license type available for customers who purchase the IAM Sales plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder. - `Full - CX`: Full license type available for customers who purchase the IAM Sales plan; includes access to sending envelopes and Workflow Builder. - `Free`: Free license type available for all IAM customers; includes access to viewing the user’s own agreements and signing.
- `licenseTypes` (list of string, optional)
- `loginStatus` (string, optional) — Boolean value that indicates whether the user is currently logged in or not.
- `middleName` (string, optional) — The user's middle name. Limit: 50 characters.
- `password` (string, optional) — The user's password. This property is used only when adding a new user via a [Users: create](/docs/esign-rest-api/reference/users/users/create/) request. The value must conform to the password rules defined in the account [Security Settings](https://apps-d.docusign.com/admin/authenticate?goTo=securityInfo). This property is not returned by `GET` requests and cannot be updated via `PUT` requests.
- `passwordExpiration` (string, optional) — If password expiration is enabled, the date-time when the user's password expires.
- `permissionProfileId` (string, optional) — The ID of the permission profile. Use [AccountPermissionProfiles: list](/docs/esign-rest-api/reference/accounts/accountpermissionprofiles/list/) to get a list of permission profiles and their IDs. You can also download a CSV file of all permission profiles and their IDs from the **Settings > Permission Profiles** page of your eSignature account page.
- `permissionProfileName` (string, optional) — The name of the account permission profile. Example: `Account Administrator`
- `profileImageUri` (string, optional) — The URL for retrieving the user's profile image.
- `sendActivationEmail` (string, optional) — This field is no longer supported for most accounts. To create an eSignature user without sending an activation email, use the Admin API by following [these steps](/docs/admin-api/how-to/create-active-user/). You can also use this field to resend the activation email to a user who is not yet active by setting this field to the `"send"`.
- `sendActivationOnInvalidLogin` (string, optional) — When **true,** specifies that an additional activation email be sent if user's log on fails before the account is activated.
- `signatureImageUri` (string, optional) — An endpoint URI that you can use to retrieve the user's signature image.
- `subscribe` (string, optional)
- `suffixName` (string, optional) — The suffix for the user's name, such as Jr, IV, PhD, etc. Limit: 50 characters.
- `title` (string, optional) — The title of the user.
- `uri` (string, optional) — A URI containing the user ID.
- `userAddedToAccountDateTime` (string, optional) — The date and time that the user was added to the account.
- `userId` (string, optional) — The ID of the user to access. **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
- `userName` (string, optional) — The name of the user.
- `userProfileLastModifiedDate` (string, optional) — The date and time that the user's profile was last modified.
- `userSettings` (userSettingsInformation, optional) — Properties that configure the settings for a user. Some elements of this object have a `metadata` property, which includes the following: - `rights`: The calling users permissions to edit this setting (can be `editable` or `read_only`) - `uiHint`: Internally used to build UIs (can be `available` or `hidden`) - `options`: The values supported for this setting (not all settings have this element)
- `userStatus` (string, optional) — Status of the user's account. One of: - `ActivationRequired` - `ActivationSent` - `Active` - `Closed` - `Disabled`
- `userType` (string, optional) — The type of user, for example `CompanyUser`.
- `workAddress` (addressInformation, optional) — Contains address information.

### settingsMetadata

Metadata that indicates whether a property is editable and describes setting-specific options.

- `is21CFRPart11` (string, optional) — When **true,** indicates compliance with United States Food and Drug Administration (FDA) regulations on electronic records and electronic signatures (ERES).
- `options` (list of string, optional) — An array of option strings supported by this setting.
- `rights` (string, optional) — Indicates whether the property is editable. Valid values are: - `editable` - `read_only`
- `uiHint` (string, optional) — Reserved for Docusign.
- `uiOrder` (string, optional) — Reserved for Docusign.
- `uiType` (string, optional) — Reserved for Docusign.

### accountManagementGranular

- `allowManageAccountSecuritySettings` (string, optional)
- `allowManageAccountSecuritySettingsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowManageAccountSettings` (string, optional)
- `allowManageAccountSettingsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowManageAdmins` (string, optional)
- `allowManageAdminsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowManageConnect` (string, optional)
- `allowManageConnectMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowManageDocumentRetention` (string, optional)
- `allowManageDocumentRetentionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowManageEnvelopeTransfer` (string, optional)
- `allowManageEnvelopeTransferMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowManageGroupsButNotUsers` (string, optional)
- `allowManageGroupsButNotUsersMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowManageJointAgreements` (string, optional)
- `allowManageJointAgreementsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowManageReporting` (string, optional)
- `allowManageReportingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowManageSharing` (string, optional)
- `allowManageSharingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowManageSigningGroups` (string, optional)
- `allowManageSigningGroupsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowManageStamps` (string, optional)
- `allowManageStampsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowManageUsers` (string, optional)
- `allowManageUsersMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowViewUsers` (string, optional)
- `viewOnlyAccountAdminPages` (string, optional)

### connectUserObject

- `configurationtype` (string, optional) — The type of custom Connect configuration being accessed.
- `connectId` (string, optional) — The ID of the custom Connect configuration being accessed.
- `enabled` (string, optional) — Boolean value that indicates whether the custom Connect configuration is enabled or not.
- `hasAccess` (string, optional)
- `senderSearchableItems` (list of string, optional)

### nameValue

A name-value pair that describes an item and provides a value for the item.

- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `name` (string, optional) — The name of the item.
- `originalValue` (string, optional) — The initial value of the item.
- `value` (string, optional) — The current value of the item.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

### forgottenPasswordInformation

A complex element that has up to four Question/Answer pairs for forgotten password information.

- `forgottenPasswordAnswer1` (string, optional) — The answer to the first forgotten password challenge question.
- `forgottenPasswordAnswer2` (string, optional) — The answer to the second forgotten password challenge question.
- `forgottenPasswordAnswer3` (string, optional) — The answer to the third forgotten password challenge question.
- `forgottenPasswordAnswer4` (string, optional) — The answer to the fourth forgotten password challenge question.
- `forgottenPasswordQuestion1` (string, optional) — The first challenge question presented to a user who has forgotten their password.
- `forgottenPasswordQuestion2` (string, optional) — The second challenge question presented to a user who has forgotten their password.
- `forgottenPasswordQuestion3` (string, optional) — The third challenge question presented to a user who has forgotten their password.
- `forgottenPasswordQuestion4` (string, optional) — The fourth challenge question presented to a user who has forgotten their password.

### group

This object contains information about a group.

- `accessType` (string, optional)
- `dsGroupId` (string, optional) — Reserved for Docusign.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `groupId` (string, optional) — The Docusign group ID for the group. This is a read-only property.
- `groupName` (string, optional) — The name of the group.
- `groupType` (string, optional) — The group type.
- `isManagedByScim` (boolean, optional)
- `lastModifiedOn` (string, optional)
- `permissionProfileId` (string, optional) — This field is deprecated.
- `userGroupType` (string, optional)
- `users` (list of userInfo, optional) — A list of the users in the group. This property is not used by [Groups: list](/docs/esign-rest-api/reference/usergroups/groups/list/). To get a list of users see [GroupUsers: list](/docs/esign-rest-api/reference/usergroups/groupusers/list/)
- `usersCount` (string, optional) — The total number of users in the group.

### addressInformation

Contains address information.

- `address1` (string, optional) — The first line of the user's address. Maximum length: 100 characters.
- `address2` (string, optional) — The second line of the user's address. Maximum length: 100 characters.
- `city` (string, optional) — The user's city. Maximum length: 40 characters.
- `country` (string, optional) — The user's country. Maximum length: 50 characters.
- `fax` (string, optional) — A Fax number associated with the address if one is available.
- `phone` (string, optional) — A phone number associated with the address.
- `postalCode` (string, optional) — The user's postal code. Maximum length: 20 characters.
- `stateOrProvince` (string, optional) — The user's state or province. Maximum length: 40 characters.
- `zipPlus4` (string, optional)

### userSettingsInformation

Properties that configure the settings for a user. Some elements of this object have a `metadata` property, which includes the following: - `rights`: The calling users permissions to edit this setting (can be `editable` or `read_only`) - `uiHint`: Internally used to build UIs (can be `available` or `hidden`) - `options`: The values supported for this setting (not all settings have this element)

- `accountAgreementsAccessType` (string, optional) — Reserved for Docusign.
- `accountAgreementsAccessTypeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `accountManagementGranular` (userAccountManagementGranularInformation, optional) — Describes which account management capabilities a user has.
- `adminOnly` (string, optional) — Reserved for Docusign.
- `adminOnlyMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowAccessToAllAccountAgreements` (string, optional)
- `allowAccessToAllAccountAgreementsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowAutoTagging` (string, optional) — When **true,** the API returns suggested tabs for documents for this user.
- `allowedDocumentTemplateLibraryAccess` (string, optional)
- `allowedDocumentTemplateLibraryAccessMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowedOrchestrationAccess` (string, optional)
- `allowedOrchestrationAccessMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowEnvelopeTransferTo` (string, optional) — When **true,** this user can participate in envelope transfers on the account.
- `allowEnvelopeTransferToMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowEsealRecipients` (string, optional) — When **true,** this user can create [electronic seal recipients](/docs/esign-rest-api/reference/envelopes/enveloperecipients/#seal-recipient).
- `allowEsealRecipientsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowPowerFormsAdminToAccessAllPowerFormEnvelope` (string, optional) — When **true** and this user is an administrator, they can view all of the envelopes generated from PowerForms. The default value is **false.**
- `allowPowerFormsAdminToAccessAllPowerFormEnvelopeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowRecipientLanguageSelection` (string, optional) — When **true,** this user can set the language used in the standard email format for a recipient when creating an envelope.
- `allowRecipientLanguageSelectionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowSendOnBehalfOf` (string, optional) — When **true,** this user can send envelopes "on behalf of" other users through the API.
- `allowSendOnBehalfOfMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowSupplementalDocuments` (string, optional) — When **true,** this user can include supplemental documents.
- `allowSupplementalDocumentsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowTransactions` (string, optional)
- `allowTransactionsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `anchorTagVersionedPlacementEnabled` (string, optional) — Reserved for Docusign.
- `apiAccountWideAccess` (string, optional) — When **true,** indicates that this user can send envelope-specific API requests on the account.
- `apiAccountWideAccessMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `apiCanExportAC` (string, optional) — When **true,** this user can export authoritative copy for the account.
- `apiCanExportACMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `bulkSend` (string, optional) — When **true,** this user can use the bulk send feature for the account.
- `bulkSendMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canBulkUploadAgreements` (string, optional) — Reserved for Docusign.
- `canBulkUploadAgreementsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canChargeAccount` (string, optional) — Reserved for Docusign.
- `canChargeAccountMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canCreateTransaction` (string, optional)
- `canCreateTransactionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canDeleteDocumentsInTransaction` (string, optional)
- `canDeleteDocumentsInTransactionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canDeleteTransaction` (string, optional)
- `canDeleteTransactionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canEditSharedAddressbook` (string, optional) — When true, this user can edit the shared address book for the account.
- `canEditSharedAddressbookMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canLockEnvelopes` (string, optional) — Reserved for Docusign.
- `canLockEnvelopesMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageAccount` (string, optional) — When **true,** this user is an administrator for the account.
- `canManageAccountMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageAgreementParties` (string, optional)
- `canManageAgreementPartiesMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageDistributor` (string, optional) — Reserved for Docusign.
- `canManageDistributorMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageTemplates` (string, optional) — When **true,** this user can manage templates for the account.
- `canManageTemplatesMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canSendAPIRequests` (string, optional) — When **true,** this user can send API requests on the account.
- `canSendAPIRequestsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canSendEnvelope` (string, optional) — When **true,** this user can send envelopes on the account.
- `canSendEnvelopeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canSendEnvelopesViaSMS` (string, optional)
- `canSendEnvelopesViaSMSMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canSignEnvelope` (string, optional) — When **true,** this user can sign envelopes.
- `canSignEnvelopeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canUseScratchpad` (string, optional) — When **true,** this user can use a scratchpad to edit information.
- `canUseScratchpadMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canUseSmartContracts` (string, optional) — Reserved for Docusign.
- `canUseSmartContractsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `disableDocumentUpload` (string, optional) — When **true,** this user is prohibited from uploading documents during sending.
- `disableDocumentUploadMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `disableOtherActions` (string, optional) — When **true,** this user can access the **Other Actions** menu.
- `disableOtherActionsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableDSPro` (string, optional) — Reserved for Docusign.
- `enableDSProMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableKeyTermsSuggestionsByDocumentType` (string, optional)
- `enableKeyTermsSuggestionsByDocumentTypeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableSequentialSigningAPI` (string, optional) — When **true,** the account can define the routing order of recipients for envelopes sent by using the eSignature API. **Note:** Only SysAdmin users can change this setting.
- `enableSequentialSigningAPIMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableSequentialSigningUI` (string, optional) — When **true,** the account can define the routing order of recipients for envelopes sent by using the Docusign application. **Note:** Only SysAdmin users can change this setting.
- `enableSequentialSigningUIMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableSignerAttachments` (string, optional) — When **true,** this user can use the signing attachments feature.
- `enableSignerAttachmentsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableSignOnPaperOverride` (string, optional) — When **true,** a user can override the default default account setting for the Sign on Paper option, which specifies whether signers can sign documents on paper as an option to signing electronically. **Note:** Only Admin users can change this setting.
- `enableSignOnPaperOverrideMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableTransactionPoint` (string, optional) — Reserved for Docusign.
- `enableTransactionPointMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableVaulting` (string, optional) — When **true,** Vaulting is enabled for the account.
- `enableVaultingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `expressSendOnly` (string, optional) — When **false,** this user can apply tabs to documents during the sending experience.
- `isManagedByScim` (string, optional)
- `isManagedByScimMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `isMembershipManagedByScim` (string, optional)
- `isMembershipManagedByScimMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `isMembershipRedacted` (string, optional)
- `isMembershipRedactedMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `isUserRedacted` (string, optional)
- `isUserRedactedMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `locale` (string, optional) — The user's locale code. Valid values are: - `zh_CN` - `zh_TW` - `nl` - `en` - `fr` - `de` - `it` - `ja` - `ko` - `pt` - `pt_BR` - `ru` - `es`
- `localeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `localePolicy` (localePolicy, optional)
- `manageClickwrapsMode` (string, optional) — When **true,** this user can create and manage [Clickwraps](/docs/click-api/).
- `manageClickwrapsModeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `modifiedBy` (string, optional) — The user ID (GUID) of the user who last modified this user record. This property is read-only.
- `modifiedByMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `modifiedDate` (string, optional) — The date on which this user record was last modified.
- `modifiedDateMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `modifiedPage` (string, optional) — Note referencing the page that modified this user record.
- `modifiedPageMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `newSendUI` (string, optional) — Reserved for Docusign.
- `newSendUIMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `powerFormMode` (string, optional) — Indicates the Power Form mode setting for the user: - `none` - `admin` - `user`
- `powerFormModeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `recipientViewedNotification` (string, optional) — When **true,** this user receives notifications when envelopes are viewed.
- `recipientViewedNotificationMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `redactAtMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `redactMembershipAt` (string, optional)
- `sealIdentifiers` (list of sealIdentifier, optional) — Information about the seals associated with this user.
- `selfSignedRecipientEmailDocument` (string, optional) — Sets how self-signed documents are presented to the email recipients. Valid values are: - `include_pdf`: A PDF of the completed document is attached to the email. - `include_link`: A secure link to the self-signed documents is included in the email. **Note:** Only Admin users can change this setting.
- `selfSignedRecipientEmailDocumentMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `senderEmailNotifications` (senderEmailNotifications, optional) — Contains the settings for the email notifications that senders receive about the envelopes that they send.
- `signerEmailNotifications` (signerEmailNotifications, optional) — An array of email notifications that specifies the email the user receives when they are a recipient. When the specific email notification is set to true, the user receives those types of email notifications from Docusign. The user inherits the default account email notification settings when the user is created.
- `supplementalDocumentIncludeInDownload` (string, optional) — When **true,** this user gets supplemental documents when downloading documents.
- `supplementalDocumentsMustAccept` (string, optional) — When **true,** this user must accept supplemental documents.
- `supplementalDocumentsMustAcceptMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `supplementalDocumentsMustRead` (string, optional) — When **true,** this user must both view and accept supplemental documents.
- `supplementalDocumentsMustReadMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `supplementalDocumentsMustView` (string, optional) — When **true,** this user must view supplemental documents.
- `supplementalDocumentsMustViewMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `templateActiveCreation` (string, optional) — When **true,** a new template is created each time the user sends an envelope.
- `templateActiveCreationMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `templateApplyNotify` (string, optional) — When **true,** the system notifies this user before applying a matching template.
- `templateApplyNotifyMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `templateAutoMatching` (string, optional) — When **true,** the system automatically applies a matching template to a document if only one template matches. If there are multiple matches, it displays a list of matches to select from.
- `templateAutoMatchingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `templateMatchingSensitivity` (string, optional) — Percentage used when matching templates.
- `templateMatchingSensitivityMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `templatePageLevelMatching` (string, optional) — When **true,** users see template matching functionality.
- `templatePageLevelMatchingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `timezoneDST` (string, optional) — When true, daylight savings time is in effect for this user's time zone.
- `timezoneDSTMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `timezoneMask` (string, optional) — The custom DateTime format setting for this user.
- `timezoneMaskMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `timezoneOffset` (string, optional) — The timezone offset for the user. Valid values: - `tz_01_afghanistan` - `tz_02_alaskan` - `tz_03_arab` - `tz_04_arabian` - `tz_05_arabic` - `tz_06_argentina` - `tz_07_atlantic` - `tz_08_aus_central` - `tz_09_aus_eastern` - `tz_10_azerbaijan` - `tz_11_azores` - `tz_12_bangladesh` - `tz_13_canada_central` - `tz_14_cape_verde` - `tz_15_caucasus` - `tz_16_central_australia` - `tz_17_central_america` - `tz_18_central_asia` - `tz_19_central_brazilian` - `tz_20_central_europe` - `tz_21_central_european` - `tz_22_central_pacific` - `tz_23_central` - `tz_24_central_mexico` - `tz_25_china` - `tz_26_dateline` - `tz_27_east_africa` - `tz_28_east_australia` - `tz_29_east_europe` - `tz_30_east_south_america` - `tz_31_eastern` - `tz_32_egypt` - `tz_33_ekaterinburg` - `tz_34_fiji` - `tz_35_fli` - `tz_36_georgian` - `tz_37_gmt` - `tz_38_greenland` - `tz_39_greenwich` - `tz_40_gtb` - `tz_41_hawaiian` - `tz_42_india` - `tz_43_iran` - `tz_44_israel` - `tz_45_jordan` - `tz_46_kaliningrad` - `tz_47_kamchatka` - `tz_48_korea` - `tz_49_magadan` - `tz_50_mauritius` - `tz_51_mid_atlantic` - `tz_52_middle_east` - `tz_53_montevideo` - `tz_54_morocco` - `tz_55_mountain` - `tz_56_mountain_mexico` - `tz_57_myanmar` - `tz_58_north_central_asia` - `tz_59_namibia` - `tz_60_nepal` - `tz_61_new_zealand` - `tz_62_new_foundland` - `tz_63_north_asia_east` - `tz_64_north_asia` - `tz_65_pacific_sa` - `tz_66_pacific` - `tz_67_pacific_mexico` - `tz_68_pakistan` - `tz_69_paraguay` - `tz_70_romance` - `tz_71_russian` - `tz_72_sa_eastern` - `tz_73_sa_pacific` - `tz_74_sa_western` - `tz_75_samoa` - `tz_76_se_asia` - `tz_77_singapore` - `tz_78_south_africa` - `tz_79_sriLanka` - `tz_80_syria` - `tz_81_taipei` - `tz_82_tasmania` - `tz_83_tokyo` - `tz_84_tonga` - `tz_85_turkey` - `tz_86_ulaanbaatar` - `tz_87_us_eastern` - `tz_88_us_mountain` - `tz_89_venezuela` - `tz_90_vladivostok` - `tz_91_west_australia` - `tz_92_west_central_africa` - `tz_93_west_europe` - `tz_94_west_asia` - `tz_95_west_pacific` - `tz_96_yakutsk`
- `timezoneOffsetMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `timezoneSendingPref` (string, optional) — Reserved for Docusign.
- `timezoneSendingPrefMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `timezoneSigningPref` (string, optional) — Reserved for Docusign.
- `timezoneSigningPrefMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `transactionPointSiteNameURL` (string, optional) — Reserved for Docusign.
- `transactionPointSiteNameURLMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `transactionPointUserName` (string, optional) — Reserved for Docusign.
- `transactionPointUserNameMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `vaultingMode` (string, optional) — Indicates the specified Vaulting mode: - `none` - `estored` - `electronic_original`
- `vaultingModeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `webForms` (string, optional)
- `webFormsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.

### userInfo

- `accountId` (string, optional) — The account ID associated with the envelope.
- `accountName` (string, optional) — The name on the account.
- `activationAccessCode` (string, optional) — Access code provided to the user to activate the account.
- `email` (string, optional) — The user's email address.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `ipAddress` (string, optional)
- `loginStatus` (string, optional) — When **true,** indicates that the user is logged in. This is a read-only property.
- `membershipId` (string, optional) — The user's membership ID.
- `sendActivationEmail` (string, optional) — This field is no longer supported for most accounts. To create an eSignature user without sending an activation email, use the Admin API by following [these steps](/docs/admin-api/how-to/create-active-user/).
- `uri` (string, optional) — A URI containing the user ID.
- `userId` (string, optional) — The ID of the user to access.
- `userName` (string, optional) — The name of the user.
- `userStatus` (string, optional) — Status of the user's account. One of: - `ActivationRequired` - `ActivationSent` - `Active` - `Closed` - `Disabled`
- `userType` (string, optional) — The type of user, for example `CompanyUser`.

### userAccountManagementGranularInformation

Describes which account management capabilities a user has.

- `canManageAccountSecuritySettings` (string, optional) — **True** if the user can manage account security settings.
- `canManageAccountSecuritySettingsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageAccountSettings` (string, optional) — **True** if the user can manage account settings.
- `canManageAccountSettingsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageAdmins` (string, optional) — **True** if the user can manage administrators.
- `canManageAdminsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageConnect` (string, optional)
- `canManageConnectMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageDocumentRetention` (string, optional)
- `canManageDocumentRetentionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageEnvelopeTransfer` (string, optional)
- `canManageEnvelopeTransferMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageGroupsButNotUsers` (string, optional)
- `canManageGroupsButNotUsersMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageJointAgreements` (string, optional)
- `canManageJointAgreementsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageReporting` (string, optional) — **True** if the user can manage reporting.
- `canManageReportingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageSharing` (string, optional) — **True** if the user can manage sharing.
- `canManageSharingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageSigningGroups` (string, optional) — **True** if the user can manage signing groups.
- `canManageSigningGroupsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageStamps` (string, optional)
- `canManageStampsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageUsers` (string, optional) — **True** if the user can manage users.
- `canManageUsersMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canViewOnlyAccountAdminPages` (string, optional)
- `canViewOnlyAccountAdminPagesMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canViewUsers` (string, optional)

### localePolicy

- `addressFormat` (string, optional) — Specifies the address format. Valid values: - `en_us` - `ja_jp` - `zh_cn_tw`
- `addressFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowRegion` (string, optional)
- `calendarType` (string, optional) — Specifies the type of calendar. Valid values: - `gregorian` - `japanese` - `buddhist`
- `calendarTypeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `cultureName` (string, optional) — The two letter [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language code.
- `cultureNameMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `currencyCode` (string, optional) — The [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code.
- `currencyCodeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `currencyNegativeFormat` (string, optional) — Determines how negative currency values are displayed. In most cases, you should not need to change this value. See [Explicitly define formatting](/docs/esign-rest-api/esign101/concepts/tabs/number-fields/#explicitly-define-formatting). Valid values: - `Default` `0` - `OPar_CSym_1_Comma_234_Comma_567_Period_89_CPar` `($1,234,567.89)` - `Minus_CSym_1_Comma_234_Comma_567_Period_89` `-$1,234,567.89` - `Minus_CSym_Space_1_Period_234_Period_567_Comma_89` `-$ 1.234.567,89` - `CSym_Space_Minus_1_Period_234_Period_567_Comma_89` `$ -1.234.567,89` - `Minus_1_Period_234_Period_567_Comma_89_Space_CSym` `-1.234.567,89 $` - `OPar_1_Space_234_Space_567_Comma_89_Space_CSym_CPar` `(1 234 567,89 $)` - `Minus_1_Space_234_Space_567_Comma_89_Space_CSym` `-1 234 567,89 $` - `CSym_Minus_1_Quote_234_Quote_567_Period_89` `$-1'234'567.89` - `Minus_CSym_1_Period_234_Period_567_Comma_89` `-$1.234.567,89` - `Minus_CSym_1_Comma_234_Comma_567` `-$1,234,567` - `Minus_CSym_12_Comma_34_Comma_567_Period_89` `-$12,34,567.89` - `OPar_CSym_Space_1234_Comma_567_Period_89_CPar` `($ 1234,567.89)` - `CSym_Space_Minus_12_Comma_34_Comma_567_Period_89` `$ -12,34,567.89` - `CSym_Minus_12_Comma_34_Comma_567_Period_89` `$-1,234,567.89` - `CSym_Space_Minus_1_Space_234_Space_567_Comma_89` `$ -1 234 567,89` - `CSym_Space_Minus_1_Space_234_Space_567_Period_89` `$ -1 234 567.89` - `Minus_CSym_Space_1_Space_234_Space_567_Comma_89` `-$ 1 234 567,89` - `Minus_1_Space_234_Space_567_Comma_89_CSym` `-1 234 567,89$` - `Minus_1_Space_234_Space_567_Period_89_Space_CSym` `-1 234 567.89 $` - `OPar_CSym_1_Period_234_Period_567_CPar` `(1.234.567)` - `OPar_CSym_1_Comma_234_Comma_567_CPar` `($1,234,567)` - `Minus_1_Comma_234_Comma_567_Period_89_Space_CSym` `-1,234,567.89 $` - `Minus_CSym_Space_1_Comma_234_Comma_567_Period_89` `-$ 1,234,567.89` - `OPar_CSym_Space_1_Period_234_Period_567_Comma_89_CPar` `($ 1.234.567,89)` - `OPar_CSym_Space_1_Quote_234_Quote_567_Period_89_CPar` `($ 1'234'567.89)` - `OPar_CSym_Space_1_Space_234_Space_567_Comma_89_CPar` `($ 1 234 567,89)` - `OPar_CSym_Space_1_Space_234_Space_567_Period_89_CPar` `($ 1 234 567.89)` - `OPar_CSym_12_Comma_34_Comma_567_Period_89_CPar` `($12,34,567.89)` - `OPar_CSym_Space_12_Comma_34_Comma_567_Period_89_CPar` `($ 12,34,567.89)` - `OPar_1_Comma_234_Comma_567_Period_89_Space_CSym_CPar` `(1,234,567.89 $)` - `OPar_1_Period_234_Period_567_Comma_89_Space_CSym_CPar` `(1.234.567,89 $)` - `OPar_1_Space_234_Space_567_Comma_89_CSym_CPar` `(1 234 567,89$)` - `OPar_1_Space_234_Space_567_Period_89_Space_CSym_CPar` `(1 234 567.89 $)` - `OPar_CSym_Space_1_Comma_234_Comma_567_Period_89_CPar` `($ 1,234,567.89)` - `Minus_CSym_1_Period_234_Period_567` `-$ 1.234.567` - `Minus_CSym_Space_1_Quote_234_Quote_567_Period_89` `-$ 1'234'567.89` - `Minus_CSym_Space_1_Space_234_Space_567_Period_89` `-$ 1 234 567.89` - `CSym_Minus_1_Comma_234_Comma_567` `$-1,234,567` - `CSym_Minus_1_Period_234_Period_567` `$-1.234.567` - `CSym_Space_Minus_1_Quote_234_Quote_567_Period_89` `$ -1'234'567.89` - `CSym_Space_Minus_1_Comma_234_Comma_567_Period_89` `$ -1,234,567.89` - `Minus_CSym_Space_12_Comma_34_Comma_567_Period_89` `-$ 12,34,567.89` - `Minus_1_Period_234_Period_567_Space_CSym` `-123.456.789 $` - `CSym_Minus_1_Space_234_Space_567_Comma_89` `$-123 456 789,00` - `Minus_1_Quote_234_Quote_567_Period_89_Space_CSym` `-123'456'789.00 $` - `CSym_1_Comma_234_Comma_567_Period_89_Minus` `$123,456,789.00-` - `CSym_Minus_1_Period_234_Period_567_Comma_89` `$-123.456.789,00` - `OPar_CSym_1_Period_234_Period_567_Comma_89_CPar` `($123.456.789,00)` - `Minus_CSym_1234_Comma_567_Period_89` `-$123456,789.00` - `Minus_CSym_1_Space_234_Space_567_Comma_89` `-$123 456 789,00`
- `currencyNegativeFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `currencyPositiveFormat` (string, optional) — Determines how positive currency values are displayed. In most cases, you should not need to change this value. See [Explicitly define formatting](/docs/esign-rest-api/esign101/concepts/tabs/number-fields/#explicitly-define-formatting). Valid values: - `Default` Uses the current locale. - `CSym_1_Comma_234_Comma_567_Period_89` `$1,234,567.89` - `CSym_Space_1_Period_234_Period_567_Comma_89` `$ 1.234.567,89` - `Leading_1_Period_234_Period_567_Comma_89_Space_CSym` `1.234.567,89 $` - `Leading_1_Space_234_Space_567_Comma_89_Space_CSym` `1 234 567,89 $` - `CSym_Space_1_Quote_234_Quote_567_Period_89` `$ 1'234'567.89` - `CSym_1_Comma_234_Comma_567` `$1,234,567` - `CSym_Space_12_Comma_34_Comma_567_Period_89` `$ 12,34,567.89` - `CSym_12_Comma_34_Comma_567_Period_89` `$12,34,567.89` - `CSym_Space_1234_Comma_567_Period_89` `$ 1234,567.89` - `Leading_1_Space_234_Space_567_Period_89_Space_CSym` `1 234 567.89 $` - `CSym_Space_1_Space_234_Space_567_Comma_89` `$ 1 234 567,89` - `CSym_Space_1_Space_234_Space_567_Period_89` `$ 1 234 567.89` - `Leading_1_Space_234_Space_567_Comma_89_CSym` `1 234 567,89$` - `CSym_1_Period_234_Period_567` `$1.234.567` - `Leading_1_Comma_234_Comma_567_Period_89_Space_CSym` `1,234,567. $` (New Armenian) - `CSym_Space_1_Comma_234_Comma_567_Period_89` `$ 1,234,567.89` (Persian) - `CSym_1_Period_234_Period_567_Comma_89` `$123.456.789,00` (es-CO) - `Leading_1_Quote_234_Quote_567_Period_89_Space_CSym` `123'456'789.00 $` (fr-ch) - `CSym_1234_Comma_567_Period_89` `$123456,789.00` (es-PR) - `Leading_1_Period_234_Period_567_Space_CSym` `123.456.789 $` - `CSym_1_Space_234_Space_567_Comma_89` `$123 456 789,00` (en-ZA, es-CR)
- `currencyPositiveFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `customDateFormat` (string, optional)
- `customSignDateFormat` (string, optional)
- `customSignTimeFormat` (string, optional)
- `customTimeFormat` (string, optional)
- `dateFormat` (string, optional) — Specifies the date format. Valid values: - `default` used the UI's - `longformat` use the UI's long format - `dd_mm_yy` dd-MM-yy - `dd_mmm_yy` dd-MMM-yy - `dd_mm_yyyy` dd-MM-yyyy - `dd_mmm_yyyy` dd-MMM-yyyy - `ddmmmmyyyy` dd MMMM yyyy - `ddmmyyyy` dd/MM/yyyy - `ddmmyyyy_de` dd.MM.yyyy - `dmyyyy` d/M/yyyy - `d_m_yyyy` d-M-yyyy - `mmmd_yyyy` MMM d, yyyy - `mmm_dd_yyyy` MMM-dd-yyyy - `mmmmd_yyyy` MMMM d, yyyy - `mm_dd_yyyy` MM-dd-yyyy - `mdyyyy` M/d/yyyy - `yyyy_mmm_dd` yyyy-MMM-dd - `yyyy_mm_dd` yyyy-MM-dd - `yyyymmdd` yyyy/MM/dd - `yyyymd` yyyy/M/d - `custom` Customer set own value - `mmddyyyy` MM/dd/yyyy - `mmddyy` MM/dd/yy - `yyyy_mmmm_d` yyyy MMMM d
- `dateFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `effectiveAddressFormat` (string, optional)
- `effectiveCalendarType` (string, optional)
- `effectiveCurrencyCode` (string, optional)
- `effectiveCurrencyNegativeFormat` (string, optional)
- `effectiveCurrencyPositiveFormat` (string, optional)
- `effectiveCustomDateFormat` (string, optional)
- `effectiveCustomTimeFormat` (string, optional)
- `effectiveDateFormat` (string, optional)
- `effectiveInitialFormat` (string, optional)
- `effectiveNameFormat` (string, optional)
- `effectiveTimeFormat` (string, optional)
- `effectiveTimeZone` (string, optional)
- `initialFormat` (string, optional) — When a user is required to enter their initials, this property specifies how initials are rendered. The examples show the initials for "William Henry Gates". - `first1last1` "WG" - `last2` "GA" - `first2` "WI" - `last2_cjk` first two characters from last name in CJK characters.
- `initialFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `nameFormat` (string, optional) — Describes how names are displayed. Valid values: - `first_middle_last` William Henry Gates - `full` Mr William Henry Gates III - `last_first` Gates William - `lastfirst` GatesWilliam - `last_first_cjk` Gates William only with CJK characters - `lastfirst_cjk` GatesWilliam only with CJK characters
- `nameFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `signDateFormat` (string, optional) — The format for the signature date. Valid values are: - `d/M/yyyy` - `dd-MM-yy` - `dd-MMM-yy` - `dd-MM-yyyy` - `dd.MM.yyyy` - `dd-MMM-yyyy` - `dd MMMM yyyy` - `M/d/yyyy` - `MM-dd-yyyy` - `MM/dd/yyyy` - `MM/dd/yy` - `MMM-dd-yyyy` - `MMM d, yyyy` - `MMMM d, yyyy` - `yyyy-MM-dd` - `yyyy-MMM-dd` - `yyyy/MM/dd` - `yyyy MMMM d` **Note:** Only Admin users can change this setting.
- `signDateFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `signTimeFormat` (string, optional) — The format for the signature time. Valid values are: - `none` - `HH:mm` - `h:mm` - `HH:mm:ss` - `h:mm:ss`
- `signTimeFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `timeFormat` (string, optional) — Specifies the time format. Valid values: - `none` None - `hh_mm` hh:mm - `hhmm` HH:mm - `hhmmss` HH:mm:ss - `hhmmsstt` HH:mm:ss tt - `hhmmtt` HH:mm tt - `hmm` h:mm - `hmmss` h:mm:ss - `hmmsstt` h:mm:ss tt - `hmmtt` h:mm tt - `custom` Customer-set format
- `timeFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `timeZone` (string, optional) — Specifies the time zone. Valid values: - `TZ_01_AfghanistanStandardTime` - `TZ_02_AlaskanStandardTime` - `TZ_03_ArabStandardTime` - `TZ_04_ArabianStandardTime` - `TZ_05_ArabicStandardTime` - `TZ_06_ArgentinaStandardTime` - `TZ_07_AtlanticStandardTime` - `TZ_08_AUS_CentralStandardTime` - `TZ_09_AUS_EasternStandardTime` - `TZ_10_AzerbaijanStandardTime` - `TZ_11_AzoresStandardTime` - `TZ_12_BangladeshStandardTime` - `TZ_13_CanadaCentralStandardTime` - `TZ_14_CapeVerdeStandardTime` - `TZ_15_CaucasusStandardTime` - `TZ_16_CentralAustraliaStandardTime` - `TZ_17_CentralAmericaStandardTime` - `TZ_18_CentralAsiaStandardTime` - `TZ_19_CentralBrazilianStandardTime` - `TZ_20_CentralEuropeStandardTime` - `TZ_21_CentralEuropeanStandardTime` - `TZ_22_CentralPacificStandardTime` - `TZ_23_CentralStandardTime` - `TZ_24_CentralStandardTimeMexico` - `TZ_25_ChinaStandardTime` - `TZ_26_DatelineStandardTime` - `TZ_27_E_AfricaStandardTime` - `TZ_28_E_AustraliaStandardTime` - `TZ_29_E_EuropeStandardTime` - `TZ_30_E_SouthAmericaStandardTime` - `TZ_31_EasternStandardTime` - `TZ_32_EgyptStandardTime` - `TZ_33_EkaterinburgStandardTime` - `TZ_34_FijiStandardTime` - `TZ_35_FLE_StandardTime` - `TZ_36_GeorgianStandardTime` - `TZ_37_GMT_StandardTime` - `TZ_38_GreenlandStandardTime` - `TZ_39_GreenwichStandardTime` - `TZ_40_GTB_StandardTime` - `TZ_41_HawaiianStandardTime` - `TZ_42_IndiaStandardTime` - `TZ_43_IranStandardTime` - `TZ_44_IsraelStandardTime` - `TZ_45_JordanStandardTime` - `TZ_46_KaliningradStandardTime` - `TZ_47_KamchatkaStandardTime` - `TZ_48_KoreaStandardTime` - `TZ_49_MagadanStandardTime` - `TZ_50_MauritiusStandardTime` - `TZ_51_MidAtlanticStandardTime` - `TZ_52_MiddleEastStandardTime` - `TZ_53_MontevideoStandardTime` - `TZ_54_MoroccoStandardTime` - `TZ_55_MountainStandardTime` - `TZ_56_MountainStandardTimeMMexico` - `TZ_57_MyanmarStandardTime` - `TZ_58_N_CentralAsiaStandardTime` - `TZ_59_NamibiaStandardTime` - `TZ_60_NepalStandardTime` - `TZ_61_NewZealandStandardTime` - `TZ_62_NewfoundlandStandardTime` - `TZ_63_NorthAsiaEastStandardTime` - `TZ_64_NorthAsiaStandardTime` - `TZ_65_PacificSAStandardTime` - `TZ_66_PacificStandardTime` - `TZ_67_PacificStandardTimeMexico` - `TZ_68_PakistanStandardTime` - `TZ_69_ParaguayStandardTime` - `TZ_70_RomanceStandardTime` - `TZ_71_RussianStandardTime` - `TZ_72_SAEasternStandardTime` - `TZ_73_SAPacificStandardTime` - `TZ_74_SAWesternStandardTime` - `TZ_75_SamoaStandardTime` - `TZ_76_SE_AsiaStandardTime` - `TZ_77_SingaporeStandardTime` - `TZ_78_SouthAfricaStandardTime` - `TZ_79_SriLankaStandardTime` - `TZ_80_SyriaStandardTime` - `TZ_81_TaipeiStandardTime` - `TZ_82_TasmaniaStandardTime` - `TZ_83_TokyoStandardTime` - `TZ_84_TongaStandardTime` - `TZ_85_TurkeyStandardTime` - `TZ_86_UlaanbaatarStandardTime` - `TZ_87_US_EasternStandardTime` - `TZ_88_USMountainStandardTime` - `TZ_89_VenezuelaStandardTime` - `TZ_90_VladivostokStandardTime` - `TZ_91_W_AustraliaStandardTime` - `TZ_92_W_CentralAfricaStandardTime` - `TZ_93_W_EuropeStandardTime` - `TZ_94_WestAsiaStandardTime` - `TZ_95_WestPacificStandardTime` - `TZ_96_YakutskStandardTime`
- `timeZoneMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.

### sealIdentifier

- `sealDisplayName` (string, optional) — The user-friendly display name for a seal.
- `sealName` (string, optional) — The name of a seal.

### senderEmailNotifications

Contains the settings for the email notifications that senders receive about the envelopes that they send.

- `changedSigner` (string, optional) — When **true,** the sender receives an email notification if the signer changes.
- `clickwrapResponsesLimitNotificationEmail` (string, optional)
- `commentsOnlyPrivateAndMention` (string, optional) — When **true,** the user receives only comments that mention their own user name.
- `commentsReceiveAll` (string, optional) — When **true,** the user receives all comments.
- `deliveryFailed` (string, optional) — When **true,** the sender receives an email notification if envelope delivery fails.
- `envelopeComplete` (string, optional) — When **true,** the user receives an email notification when the envelope has been completed.
- `offlineSigningFailed` (string, optional) — When **true,** the user receives an email notification if offline signing failed.
- `powerformResponsesLimitNotificationEmail` (string, optional)
- `purgeDocuments` (string, optional) — When **true,** the user receives an email notification when a document purge occurs.
- `recipientViewed` (string, optional) — When **true,** the sender receives notification that a recipient viewed the envelope.
- `senderEnvelopeDeclined` (string, optional) — When **true,** the sender receives notification that the envelope was declined.
- `withdrawnConsent` (string, optional) — When **true,** the user receives an email notification if consent is withdrawn.

### signerEmailNotifications

An array of email notifications that specifies the email the user receives when they are a recipient. When the specific email notification is set to true, the user receives those types of email notifications from Docusign. The user inherits the default account email notification settings when the user is created.

- `agentNotification` (string, optional) — When **true,** the user receives agent notification emails.
- `carbonCopyNotification` (string, optional) — When **true,** the user receives notifications of carbon copy deliveries.
- `certifiedDeliveryNotification` (string, optional) — When **true,** the user receives notifications of certified deliveries.
- `commentsOnlyPrivateAndMention` (string, optional) — When **true,** the user receives only comments that mention their own user name.
- `commentsReceiveAll` (string, optional) — When **true,** the user receives all comments.
- `documentMarkupActivation` (string, optional) — When **true,** the user receives notification that document markup has been activated.
- `envelopeActivation` (string, optional) — When **true,** the user receives notification that the envelope has been activated.
- `envelopeComplete` (string, optional) — When **true,** the user receives an email notification when the envelope has been completed.
- `envelopeCorrected` (string, optional) — When **true,** the user receives notification that the envelope has been corrected.
- `envelopeDeclined` (string, optional) — When **true,** the user receives notification that the envelope has been declined.
- `envelopeVoided` (string, optional) — When **true,** the user receives notification that the envelope has been voided.
- `faxReceived` (string, optional) — Reserved for Docusign.
- `offlineSigningFailed` (string, optional) — When **true,** the user receives an email notification if offline signing failed.
- `purgeDocuments` (string, optional) — When **true,** the user receives an email notification when a document purge occurs.
- `reassignedSigner` (string, optional) — When **true,** the user receives notification that the envelope has been reassigned.
- `whenSigningGroupMember` (string, optional) — When **true,** the user receives notification that he or she is a member of the signing group.

## Examples

**Request**

```json
{
  "modifiedByUsername": "sample string 1",
  "modifiedDateTime": "sample string 2",
  "permissionProfileId": "sample string 3",
  "permissionProfileName": "sample string 4",
  "settings": {
    "accountAgreementsAccessType": "sample string 1",
    "accountAgreementsAccessTypeMetadata": {
      "is21CFRPart11": "sample string 1",
      "options": [
        "sample string 1"
      ],
      "rights": "sample string 2",
      "uiHint": "sample string 3",
      "uiOrder": "sample string 4",
      "uiType": "sample string 5"
    },
    "accountManagementGranular": {
      "allowManageAccountSecuritySettings": "sample string 1",
      "allowManageAccountSettings": "sample string 2",
      "allowManageAdmins": "sample string 3",
      "allowManageConnect": "sample string 4",
      "allowManageDocumentRetention": "sample string 5",
      "allowManageEnvelopeTransfer": "sample string 6",
      "allowManageGroupsButNotUsers": "sample string 7",
      "allowManageJointAgreements": "sample string 8",
      "allowManageReporting": "sample string 9",
      "allowManageSharing": "sample string 10",
      "allowManageSigningGroups": "sample string 11",
      "allowManageStamps": "sample string 12",
      "allowManageUsers": "sample string 13",
      "allowViewUsers": "sample string 14",
      "viewOnlyAccountAdminPages": "sample string 15"
    },
    "allowAccountManagement": "sample string 2",
    "allowApiAccess": "sample string 3",
    "allowApiAccessToAccount": "sample string 4",
    "allowApiSendingOnBehalfOfOthers": "sample string 5",
    "allowApiSequentialSigning": "sample string 6",
    "allowAutoTagging": "sample string 7",
    "allowBulkSending": "sample string 8",
    "allowDocuSignDesktopClient": "sample string 9",
    "allowedAddressBookAccess": "sample string 10",
    "allowedClickwrapsAccess": "sample string 11",
    "allowedDocumentTemplateLibraryAccess": "sample string 12",
    "allowedOrchestrationAccess": "sample string 13",
    "allowedTemplateAccess": "sample string 14",
    "allowedToBeEnvelopeTransferRecipient": "sample string 15",
    "allowEnvelopeSending": "sample string 16",
    "allowESealRecipients": "sample string 17",
    "allowPowerFormsAdminToAccessAllPowerFormEnvelopes": "sample string 18",
    "allowSendersToSetRecipientEmailLanguage": "sample string 19",
    "allowSignerAttachments": "sample string 20",
    "allowSupplementalDocuments": "sample string 21",
    "allowTaggingInSendAndCorrect": "sample string 22",
    "allowTransactions": "sample string 23",
    "allowVaulting": "sample string 24",
    "allowWetSigningOverride": "sample string 25",
    "canBulkUploadAgreements": "sample string 26",
    "canCreateTransaction": "sample string 27",
    "canCreateWorkspaces": "sample string 28",
    "canDeleteDocumentsInTransaction": "sample string 29",
    "canDeleteTransaction": "sample string 30",
    "canManageAgreementDeskRequest": "sample string 31",
    "canManageAgreementDeskRequestSetting": "sample string 32",
    "canSendEnvelopesViaSMS": "sample string 33",
    "disableDocumentUpload": "sample string 34",
    "disableOtherActions": "sample string 35",
    "enableApiRequestLogging": "sample string 36",
    "enableKeyTermsSuggestionsByDocumentType": "sample string 37",
    "enableRecipientViewingNotifications": "sample string 38",
    "enableSequentialSigningInterface": "sample string 39",
    "enableTransactionPointIntegration": "sample string 40",
    "playbookAccess": "sample string 41",
    "powerFormRole": "sample string 42",
    "receiveCompletedSelfSignedDocumentsAsEmailLinks": "sample string 43",
    "supplementalDocumentsMustAccept": "sample string 44",
    "supplementalDocumentsMustRead": "sample string 45",
    "supplementalDocumentsMustView": "sample string 46",
    "useNewDocuSignExperienceInterface": "sample string 47",
    "useNewSendingInterface": "sample string 48",
    "vaultingMode": "sample string 49",
    "webForms": "sample string 50"
  },
  "userCount": "sample string 5",
  "users": [
    {
      "activationAccessCode": "sample string 1",
      "company": "sample string 2",
      "connectConfigurations": [
        {
          "configurationtype": "sample string 1",
          "connectId": "sample string 2",
          "enabled": "sample string 3",
          "hasAccess": "sample string 4",
          "senderSearchableItems": [
            "sample string 1"
          ]
        }
      ],
      "countryCode": "sample string 3",
      "createdDateTime": "sample string 4",
      "customSettings": [
        {
          "errorDetails": {
            "errorCode": "sample string 1",
            "message": "sample string 2"
          },
          "name": "sample string 1",
          "originalValue": "sample string 2",
          "value": "sample string 3"
        }
      ],
      "defaultAccountId": "sample string 5",
      "email": "sample string 6",
      "enableConnectForUser": "sample string 7",
      "firstName": "sample string 8",
      "forgottenPasswordInfo": {
        "forgottenPasswordAnswer1": "sample string 1",
        "forgottenPasswordAnswer2": "sample string 2",
        "forgottenPasswordAnswer3": "sample string 3",
        "forgottenPasswordAnswer4": "sample string 4",
        "forgottenPasswordQuestion1": "sample string 5",
        "forgottenPasswordQuestion2": "sample string 6",
        "forgottenPasswordQuestion3": "sample string 7",
        "forgottenPasswordQuestion4": "sample string 8"
      },
      "groupList": [
        {
          "accessType": "sample string 1",
          "dsGroupId": "sample string 2",
          "groupId": "sample string 3",
          "groupName": "sample string 4",
          "groupType": "sample string 5",
          "isManagedByScim": true,
          "lastModifiedOn": "sample string 6",
          "permissionProfileId": "sample string 7",
          "userGroupType": "sample string 8",
          "users": [
            {
              "accountId": "sample string 1",
              "accountName": "sample string 2",
              "activationAccessCode": "sample string 3",
              "email": "sample string 4",
              "ipAddress": "sample string 5",
              "loginStatus": "sample string 6",
              "membershipId": "sample string 7",
              "sendActivationEmail": "sample string 8",
              "uri": "sample string 9",
              "userId": "sample string 10",
              "userName": "sample string 11",
              "userStatus": "sample string 12",
              "userType": "sample string 13"
            }
          ],
          "usersCount": "sample string 9"
        }
      ],
      "hasRemoteNotary": true,
      "homeAddress": {
        "address1": "sample string 1",
        "address2": "sample string 2",
        "city": "sample string 3",
        "country": "sample string 4",
        "fax": "sample string 5",
        "phone": "sample string 6",
        "postalCode": "sample string 7",
        "stateOrProvince": "sample string 8",
        "zipPlus4": "sample string 9"
      },
      "initialsImageUri": "sample string 9",
      "isAdmin": "sample string 10",
      "isAlternateAdmin": "sample string 11",
      "isManagedByScim": "sample string 12",
      "isMembershipManagedByScim": "sample string 13",
      "isNAREnabled": "sample string 14",
      "jobTitle": "sample string 15",
      "lastLogin": "sample string 16",
      "lastName": "sample string 17",
      "licenseStatus": "sample string 18",
      "licenseType": "sample string 19",
      "licenseTypes": [
        "sample string 1"
      ],
      "loginStatus": "sample string 20",
      "middleName": "sample string 21",
      "password": "sample string 22",
      "passwordExpiration": "sample string 23",
      "permissionProfileId": "sample string 24",
      "permissionProfileName": "sample string 25",
      "profileImageUri": "sample string 26",
      "sendActivationEmail": "sample string 27",
      "sendActivationOnInvalidLogin": "sample string 28",
      "signatureImageUri": "sample string 29",
      "subscribe": "sample string 30",
      "suffixName": "sample string 31",
      "title": "sample string 32",
      "uri": "sample string 33",
      "userAddedToAccountDateTime": "sample string 34",
      "userId": "sample string 35",
      "userName": "sample string 36",
      "userProfileLastModifiedDate": "sample string 37",
      "userSettings": {
        "accountAgreementsAccessType": "sample string 1",
        "accountManagementGranular": {
          "canManageAccountSecuritySettings": "sample string 1",
          "canManageAccountSettings": "sample string 2",
          "canManageAdmins": "sample string 3",
          "canManageConnect": "sample string 4",
          "canManageDocumentRetention": "sample string 5",
          "canManageEnvelopeTransfer": "sample string 6",
          "canManageGroupsButNotUsers": "sample string 7",
          "canManageJointAgreements": "sample string 8",
          "canManageReporting": "sample string 9",
          "canManageSharing": "sample string 10",
          "canManageSigningGroups": "sample string 11",
          "canManageStamps": "sample string 12",
          "canManageUsers": "sample string 13",
          "canViewOnlyAccountAdminPages": "sample string 14",
          "canViewUsers": "sample string 15"
        },
        "adminOnly": "sample string 2",
        "allowAccessToAllAccountAgreements": "sample string 3",
        "allowAutoTagging": "sample string 4",
        "allowedDocumentTemplateLibraryAccess": "sample string 5",
        "allowedOrchestrationAccess": "sample string 6",
        "allowEnvelopeTransferTo": "sample string 7",
        "allowEsealRecipients": "sample string 8",
        "allowPowerFormsAdminToAccessAllPowerFormEnvelope": "sample string 9",
        "allowRecipientLanguageSelection": "sample string 10",
        "allowSendOnBehalfOf": "sample string 11",
        "allowSupplementalDocuments": "sample string 12",
        "allowTransactions": "sample string 13",
        "anchorTagVersionedPlacementEnabled": "sample string 14",
        "apiAccountWideAccess": "sample string 15",
        "apiCanExportAC": "sample string 16",
        "bulkSend": "sample string 17",
        "canBulkUploadAgreements": "sample string 18",
        "canChargeAccount": "sample string 19",
        "canCreateTransaction": "sample string 20",
        "canDeleteDocumentsInTransaction": "sample string 21",
        "canDeleteTransaction": "sample string 22",
        "canEditSharedAddressbook": "sample string 23",
        "canLockEnvelopes": "sample string 24",
        "canManageAccount": "sample string 25",
        "canManageAgreementParties": "sample string 26",
        "canManageDistributor": "sample string 27",
        "canManageTemplates": "sample string 28",
        "canSendAPIRequests": "sample string 29",
        "canSendEnvelope": "sample string 30",
        "canSendEnvelopesViaSMS": "sample string 31",
        "canSignEnvelope": "sample string 32",
        "canUseScratchpad": "sample string 33",
        "canUseSmartContracts": "sample string 34",
        "disableDocumentUpload": "sample string 35",
        "disableOtherActions": "sample string 36",
        "enableDSPro": "sample string 37",
        "enableKeyTermsSuggestionsByDocumentType": "sample string 38",
        "enableSequentialSigningAPI": "sample string 39",
        "enableSequentialSigningUI": "sample string 40",
        "enableSignerAttachments": "sample string 41",
        "enableSignOnPaperOverride": "sample string 42",
        "enableTransactionPoint": "sample string 43",
        "enableVaulting": "sample string 44",
        "expressSendOnly": "sample string 45",
        "isManagedByScim": "sample string 46",
        "isMembershipManagedByScim": "sample string 47",
        "isMembershipRedacted": "sample string 48",
        "isUserRedacted": "sample string 49",
        "locale": "sample string 50",
        "localePolicy": {
          "addressFormat": "sample string 1",
          "allowRegion": "sample string 2",
          "calendarType": "sample string 3",
          "cultureName": "sample string 4",
          "currencyCode": "sample string 5",
          "currencyNegativeFormat": "sample string 6",
          "currencyPositiveFormat": "sample string 7",
          "customDateFormat": "sample string 8",
          "customSignDateFormat": "sample string 9",
          "customSignTimeFormat": "sample string 10",
          "customTimeFormat": "sample string 11",
          "dateFormat": "sample string 12",
          "effectiveAddressFormat": "sample string 13",
          "effectiveCalendarType": "sample string 14",
          "effectiveCurrencyCode": "sample string 15",
          "effectiveCurrencyNegativeFormat": "sample string 16",
          "effectiveCurrencyPositiveFormat": "sample string 17",
          "effectiveCustomDateFormat": "sample string 18",
          "effectiveCustomTimeFormat": "sample string 19",
          "effectiveDateFormat": "sample string 20",
          "effectiveInitialFormat": "sample string 21",
          "effectiveNameFormat": "sample string 22",
          "effectiveTimeFormat": "sample string 23",
          "effectiveTimeZone": "sample string 24",
          "initialFormat": "sample string 25",
          "nameFormat": "sample string 26",
          "signDateFormat": "sample string 27",
          "signTimeFormat": "sample string 28",
          "timeFormat": "sample string 29",
          "timeZone": "sample string 30"
        },
        "manageClickwrapsMode": "sample string 51",
        "modifiedBy": "sample string 52",
        "modifiedDate": "sample string 53",
        "modifiedPage": "sample string 54",
        "newSendUI": "sample string 55",
        "powerFormMode": "sample string 56",
        "recipientViewedNotification": "sample string 57",
        "redactMembershipAt": "sample string 58",
        "sealIdentifiers": [
          {
            "sealDisplayName": "sample string 1",
            "sealName": "sample string 2"
          }
        ],
        "selfSignedRecipientEmailDocument": "sample string 59",
        "senderEmailNotifications": {
          "changedSigner": "sample string 1",
          "clickwrapResponsesLimitNotificationEmail": "sample string 2",
          "commentsOnlyPrivateAndMention": "sample string 3",
          "commentsReceiveAll": "sample string 4",
          "deliveryFailed": "sample string 5",
          "envelopeComplete": "sample string 6",
          "offlineSigningFailed": "sample string 7",
          "powerformResponsesLimitNotificationEmail": "sample string 8",
          "purgeDocuments": "sample string 9",
          "recipientViewed": "sample string 10",
          "senderEnvelopeDeclined": "sample string 11",
          "withdrawnConsent": "sample string 12"
        },
        "signerEmailNotifications": {
          "agentNotification": "sample string 1",
          "carbonCopyNotification": "sample string 2",
          "certifiedDeliveryNotification": "sample string 3",
          "commentsOnlyPrivateAndMention": "sample string 4",
          "commentsReceiveAll": "sample string 5",
          "documentMarkupActivation": "sample string 6",
          "envelopeActivation": "sample string 7",
          "envelopeComplete": "sample string 8",
          "envelopeCorrected": "sample string 9",
          "envelopeDeclined": "sample string 10",
          "envelopeVoided": "sample string 11",
          "faxReceived": "sample string 12",
          "offlineSigningFailed": "sample string 13",
          "purgeDocuments": "sample string 14",
          "reassignedSigner": "sample string 15",
          "whenSigningGroupMember": "sample string 16"
        },
        "supplementalDocumentIncludeInDownload": "sample string 60",
        "supplementalDocumentsMustAccept": "sample string 61",
        "supplementalDocumentsMustRead": "sample string 62",
        "supplementalDocumentsMustView": "sample string 63",
        "templateActiveCreation": "sample string 64",
        "templateApplyNotify": "sample string 65",
        "templateAutoMatching": "sample string 66",
        "templateMatchingSensitivity": "sample string 67",
        "templatePageLevelMatching": "sample string 68",
        "timezoneDST": "sample string 69",
        "timezoneMask": "sample string 70",
        "timezoneOffset": "sample string 71",
        "timezoneSendingPref": "sample string 72",
        "timezoneSigningPref": "sample string 73",
        "transactionPointSiteNameURL": "sample string 74",
        "transactionPointUserName": "sample string 75",
        "vaultingMode": "sample string 76",
        "webForms": "sample string 77"
      },
      "userStatus": "sample string 38",
      "userType": "sample string 39"
    }
  ]
}
```

**Response**

```json
{
  "modifiedByUsername": "sample string 1",
  "modifiedDateTime": "sample string 2",
  "permissionProfileId": "sample string 3",
  "permissionProfileName": "sample string 4",
  "settings": {
    "accountAgreementsAccessType": "sample string 1",
    "accountAgreementsAccessTypeMetadata": {
      "is21CFRPart11": "sample string 1",
      "options": [
        "sample string 1"
      ],
      "rights": "sample string 2",
      "uiHint": "sample string 3",
      "uiOrder": "sample string 4",
      "uiType": "sample string 5"
    },
    "accountManagementGranular": {
      "allowManageAccountSecuritySettings": "sample string 1",
      "allowManageAccountSettings": "sample string 2",
      "allowManageAdmins": "sample string 3",
      "allowManageConnect": "sample string 4",
      "allowManageDocumentRetention": "sample string 5",
      "allowManageEnvelopeTransfer": "sample string 6",
      "allowManageGroupsButNotUsers": "sample string 7",
      "allowManageJointAgreements": "sample string 8",
      "allowManageReporting": "sample string 9",
      "allowManageSharing": "sample string 10",
      "allowManageSigningGroups": "sample string 11",
      "allowManageStamps": "sample string 12",
      "allowManageUsers": "sample string 13",
      "allowViewUsers": "sample string 14",
      "viewOnlyAccountAdminPages": "sample string 15"
    },
    "allowAccountManagement": "sample string 2",
    "allowApiAccess": "sample string 3",
    "allowApiAccessToAccount": "sample string 4",
    "allowApiSendingOnBehalfOfOthers": "sample string 5",
    "allowApiSequentialSigning": "sample string 6",
    "allowAutoTagging": "sample string 7",
    "allowBulkSending": "sample string 8",
    "allowDocuSignDesktopClient": "sample string 9",
    "allowedAddressBookAccess": "sample string 10",
    "allowedClickwrapsAccess": "sample string 11",
    "allowedDocumentTemplateLibraryAccess": "sample string 12",
    "allowedOrchestrationAccess": "sample string 13",
    "allowedTemplateAccess": "sample string 14",
    "allowedToBeEnvelopeTransferRecipient": "sample string 15",
    "allowEnvelopeSending": "sample string 16",
    "allowESealRecipients": "sample string 17",
    "allowPowerFormsAdminToAccessAllPowerFormEnvelopes": "sample string 18",
    "allowSendersToSetRecipientEmailLanguage": "sample string 19",
    "allowSignerAttachments": "sample string 20",
    "allowSupplementalDocuments": "sample string 21",
    "allowTaggingInSendAndCorrect": "sample string 22",
    "allowTransactions": "sample string 23",
    "allowVaulting": "sample string 24",
    "allowWetSigningOverride": "sample string 25",
    "canBulkUploadAgreements": "sample string 26",
    "canCreateTransaction": "sample string 27",
    "canCreateWorkspaces": "sample string 28",
    "canDeleteDocumentsInTransaction": "sample string 29",
    "canDeleteTransaction": "sample string 30",
    "canManageAgreementDeskRequest": "sample string 31",
    "canManageAgreementDeskRequestSetting": "sample string 32",
    "canSendEnvelopesViaSMS": "sample string 33",
    "disableDocumentUpload": "sample string 34",
    "disableOtherActions": "sample string 35",
    "enableApiRequestLogging": "sample string 36",
    "enableKeyTermsSuggestionsByDocumentType": "sample string 37",
    "enableRecipientViewingNotifications": "sample string 38",
    "enableSequentialSigningInterface": "sample string 39",
    "enableTransactionPointIntegration": "sample string 40",
    "playbookAccess": "sample string 41",
    "powerFormRole": "sample string 42",
    "receiveCompletedSelfSignedDocumentsAsEmailLinks": "sample string 43",
    "supplementalDocumentsMustAccept": "sample string 44",
    "supplementalDocumentsMustRead": "sample string 45",
    "supplementalDocumentsMustView": "sample string 46",
    "useNewDocuSignExperienceInterface": "sample string 47",
[...]
